Loading...
Searching...
No Matches
stdex::parser::basic_parser< T > Class Template Referenceabstract

Base template for all parsers. More...

`#include <stdex/parser.hpp>`

Inheritance diagram for stdex::parser::basic_parser< T >:

## Public Member Functions

| basic_parser (const std::locale &locale=std::locale())
bool | search (_In_reads_or_z_(end) const T *text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)
virtual bool | match (_In_reads_or_z_(end) const T *text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)=0
template<class _Traits , class _Ax >
bool | match (const std::basic_string< T, _Traits, _Ax > &text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)
virtual void | invalidate ()

## Public Attributes

stdex::interval< size_t > | interval
| Region of the last match.

## Protected Attributes

std::locale | m_locale

## Detailed Description

template<class T>
class stdex::parser::basic_parser< T >

Base template for all parsers.

The documentation for this class was generated from the following file:

- include/stdex/parser.hpp